#pragma once

#include <Array.h>
#include <Model3D.h>
#include <Reader.h>
#include <Text.h>

class ModelInfo
{
private:
    Framework::Text modelPath;
    Framework::RCArray<Framework::Text> texturPaths;
    bool transparent;
    int combinedModelTypes;

public:
    ModelInfo(const char* model,
        const char *texture,
        bool transparent,
        int numTextures);
    ModelInfo(Framework::StreamReader* reader);

    Framework::Model3DData* getModel() const;
    Framework::Model3DTextur* getTexture() const;
    Framework::Text getModelName() const;
    const Framework::RCArray<Framework::Text>* getTexturNames() const;
    bool isTransparent() const;
    int getCombinedModelTypes() const;
};